{% from "macros.html" import error_alert, upload_master_dialog, render_upload_master_dialog %}
{{ error_alert() }}
<div class="row-fluid">
  <div class="span12">
    <h3 class="comp-title">
      <span class="pull-left">Components</span>
      {{ upload_master_dialog('Components') }}
      <div class="clearfix"></div>
    </h3>
  </div>
</div>
<div class="row-fluid">
  <div class="span12">
    <form id="cSearch" action="#" class="form-inline">
      <div class="row-fluid search-fields">
        <div class="span10 pull-left">
          <input name='ct' class="span2" type="text" placeholder="Component Type">
          <input name="cc" class="span2" type="text" placeholder="Component Code">
          <input name="cd" class="span2" type="text" placeholder="Component Description">
          <button type="submit" class="btn" id="compSearchBtn" data-loading-text="Searching...">
            <i class="icon-search"></i>&nbsp;<span class="hidden-phone">Search</span></button>
        </div>
        <div id="comp-pager" class="pagination pagination-small pull-right">
          <ul>
            {%- if page_nbr == 0 -%}
              <li class="disabled"><a href="#"><< <span class="hidden-phone">Prev</span></a></li>
            {%- else -%}
              <li><a class="pgr-link" href="#" page_target="{{ page_nbr-1 }}"><< <span class="hidden-phone">Prev</span></a>
              </li>
            {%- endif -%}
            {%- if components|length == limit -%}
              <li><a class="pgr-link" href="#" page_target="{{ page_nbr+1 }}"><span class="hidden-phone">Next</span> >></a>
              </li>
            {%- else -%}
              <li class="disabled"><a href="#"><span class="hidden-phone">Next</span> >></a></li>
            {%- endif -%}
          </ul>
        </div>
        <div class="clearfix"></div>
      </div>
    </form>
  </div>
</div>
<div class="row-fluid">
  <div class="span12">
    {% include 'component_list.html' %}
  </div>
</div>
<!-- Upload modal dialog -->
{{ render_upload_master_dialog('Components', 'components') }}